__all__ = [
    "FuncCases",
    "FuncFromFormula",
    "FuncFromData",
    "PoissonCases",
    "Poisson_1D_Dirichlet",
    "Poisson_1D_Dirichlet_Neumann",
    "Poisson_1D_Dirichlet_Robin",
    "Poisson_1D_Dirichlet_Periodic",
    "Poisson_1D_Dirichlet_PointSetOperator",
    "Poisson_1D_Hard_Boundary",
    "Poisson_1D_Fourier_Net",
    "Poisson_2D_L_Shaped",
    "Poisson_1D_Unknown_Forcing_Field_Inverse",
    "Poisson_1D_Fractional_Inverse",
    "Poisson_2D_Fractional_Inverse",
    "PDECases",
    "A_Simple_ODE",
    "LotkaVolterra",
    "SecondOrderODE",
    "Laplace_disk",
    "Helmholtz",
    "Helmholtz_Hole",
    "Helmholtz_Sound_hard_Absorbing",
    "Kovasznay_Flow",
    "Euler_Beam",
    "Burgers",
    "Heat",
    "Diffusion",
    "Diffusion_reaction",
    "AllenCahn",
    "Klein_Gordon",
    "Beltrami_flow",
    "WaveCase1D",
    "Wave_1D_STMsFFN",
    "Wave_1D_Hard_Boundary",
    "Schrodinger",
    "IDE",
    "Volterra_IDE",
    "Fractional_Poisson_1D",
    "Fractional_Poisson_2D",
    "Fractional_Poisson_3D",
    "Fractional_Diffusion_1D",
    "InverseCase",
    "Lorenz_Inverse",
    "Lorenz_Exogenous_Input_Inverse",
    "Brinkman_Forchheimer_Inverse",
    "Diffusion_Inverse",
    "Diffusion_Reaction_Inverse",
    "Navier_Stokes_Incompressible_Flow_Around_Cylinder_Inverse",
]

from .PDECases import (
    Burgers,
    Heat,
    AllenCahn,
    Diffusion,
    Klein_Gordon,
    Beltrami_flow,
    A_Simple_ODE,
    LotkaVolterra,
    SecondOrderODE,
    Laplace_disk,
    Helmholtz,
    Helmholtz_Hole,
    Helmholtz_Sound_hard_Absorbing,
    Kovasznay_Flow,
    Euler_Beam,
    Diffusion_reaction,
    IDE,
    Volterra_IDE,
    Fractional_Poisson_1D,
    Fractional_Poisson_2D,
    Fractional_Poisson_3D,
    Fractional_Diffusion_1D,
    Schrodinger,
)
from .FuncCases import FuncCases, FuncFromFormula, FuncFromData
from .PoissonCases import (
    Poisson_1D_Dirichlet,
    Poisson_1D_Dirichlet_Neumann,
    Poisson_1D_Dirichlet_Robin,
    Poisson_1D_Dirichlet_Periodic,
    Poisson_1D_Dirichlet_PointSetOperator,
    Poisson_1D_Hard_Boundary,
    Poisson_1D_Fourier_Net,
    Poisson_2D_L_Shaped,
    Poisson_1D_Unknown_Forcing_Field_Inverse,
    Poisson_1D_Fractional_Inverse,
    Poisson_2D_Fractional_Inverse,
)
from .WaveCases import WaveCase1D, Wave_1D_STMsFFN, Wave_1D_Hard_Boundary
from .InverseCases import (
    InverseCase,
    Lorenz_Inverse,
    Lorenz_Exogenous_Input_Inverse,
    Brinkman_Forchheimer_Inverse,
    Diffusion_Inverse,
    Diffusion_Reaction_Inverse,
    Navier_Stokes_Incompressible_Flow_Around_Cylinder_Inverse,
)
